Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.jaas.event
Class JaasAuthenticationEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.providers.jaas.event.JaasAuthenticationEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JaasAuthenticationFailedEvent, JaasAuthenticationSuccessEvent

    public abstract class JaasAuthenticationEvent

extends ApplicationEvent

Parent class for events fired by the `JaasAuthenticationProvider`.

Version:
  $Id: JaasAuthenticationEvent.java,v 1.3 2005/11/17 00:56:08 benalex Exp $
Author:
  Ray Krueger
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`JaasAuthenticationEvent(Authentication auth)` The Authentication object is stored as the ApplicationEvent 'source'.

Method Summary
`Authentication` | `getAuthentication()` Pre-casted method that returns the 'source' of the event.

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaasAuthenticationEvent

    public JaasAuthenticationEvent(Authentication auth)

  The Authentication object is stored as the ApplicationEvent 'source'.

  Parameters:
    `auth` -

Method Detail

### getAuthentication

    public Authentication getAuthentication()

  Pre-casted method that returns the 'source' of the event.

  Returns:
    the Authentication

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.